rte_event_crypto_adapter_runtime_params(3)

NAME
rte_event_crypto_adapter_runtime_params

SYNOPSIS

#include <rte_event_crypto_adapter.h>

  Data Fields

uint32_t max_nb
uint32_t rsvd [15]

Detailed Description

Adapter runtime configuration parameters

Definition at line 262 of file rte_event_crypto_adapter.h.

Field Documentation

  uint32_t max_nb
The adapter can return early if it has processed at least max_nb crypto ops. This isn't treated as a requirement; batching may cause the adapter to process more than max_nb crypto ops.

rte_event_crypto_adapter_create() configures the adapter with default value of max_nb. rte_event_crypto_adapter_create_ext() configures the adapter with user provided value of max_nb through rte_event_crypto_adapter_conf::max_nb parameter. rte_event_cryptoadapter_runtime_params_set() allows to re-configure max_nb during runtime (after adding at least one queue pair)

This is valid for the devices without RTE_EVENT_CRYPTO_ADAPTER_CAP_INTERNAL_PORT_OP_FWD or RTE_EVENT_CRYPTO_ADAPTER_CAP_INTERNAL_PORT_OP_NEW capability.

Definition at line 263 of file rte_event_crypto_adapter.h.

  uint32_t rsvd[15]
Reserved fields for future expansion

Definition at line 280 of file rte_event_crypto_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.